<?php
class Brivium_ZeroPosters_Listener
{
	
	public static function templateCreate($templateName, array &$params, XenForo_Template_Abstract $template) 
	{
		$visitor = XenForo_Visitor::getInstance();
    	$options = XenForo_Application::get('options');

    	$days = $options->ZeroPosters_days;
    	$daysRegistered = round((XenForo_Application::$time - $visitor['register_date'])/86400);

    	if ($visitor['user_id'] > 0 && $visitor['message_count'] == 0 && $daysRegistered > $days)
    	{
			$template->preloadTemplate('attention_zero_posters');
		}
	}

    public static function templateHook($hookName, &$contents, array $hookParams, XenForo_Template_Abstract $template) 
    {
    	$visitor = XenForo_Visitor::getInstance();
    	$options = XenForo_Application::get('options');

    	$days = $options->ZeroPosters_days;
    	$daysRegistered = round((XenForo_Application::$time - $visitor['register_date'])/86400);

    	if ($visitor['user_id'] > 0 && $visitor['message_count'] == 0 && $daysRegistered > $days)
    	{
	    	switch ($hookName)
	        {       	
	            case 'page_container_content_top':
	            	$params = $template->getParams();
	            	$params['days'] = $daysRegistered;
	                $ourTemplate = $template->create('attention_zero_posters', $params);
	                $contents .= $ourTemplate->render();
	                break;          
			}
		}
	}
}